org.richfaces.request

## Class ByteSequenceMatcher

- java.lang.Object
- - org.richfaces.request.ByteSequenceMatcher

-     public class ByteSequenceMatcher
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ByteSequenceMatcher.BytesHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteSequenceMatcher(InputStream inputStream, int bufferSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `findSequence(int limit, byte[]... sequences)`
    `ByteSequenceMatcher.BytesHandler` | `getBytesHandler()`
    `boolean` | `isEOF()`
    `boolean` | `isMatched()`
    `boolean` | `isMatchedAndNotEOF()`
    `protected void` | `prefillBuffer(int usedLength)`
    `void` | `setBytesHandler(ByteSequenceMatcher.BytesHandler bytesHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteSequenceMatcher

          public ByteSequenceMatcher(InputStream inputStream,
                                     int bufferSize)

  - ### Method Detail

    - #### getBytesHandler

          public ByteSequenceMatcher.BytesHandler getBytesHandler()

    - #### setBytesHandler

          public void setBytesHandler(ByteSequenceMatcher.BytesHandler bytesHandler)

    - #### prefillBuffer

          protected void prefillBuffer(int usedLength)
                                throws IOException

      Throws:
        `IOException`

    - #### findSequence

          public void findSequence(int limit,
                                   byte[]... sequences)
                            throws IOException

      Throws:
        `IOException`

    - #### isEOF

          public boolean isEOF()

    - #### isMatched

          public boolean isMatched()

    - #### isMatchedAndNotEOF

          public boolean isMatchedAndNotEOF()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.